%global bits %{__isa_bits}
%global debug_package %{nil}

Name:           jansi-native
Version:        1.5
Release:        %mkrel 11
Summary:        Jansi Native implements the JNI Libraries used by the Jansi project
Group:          Development/Java
License:        ASL 2.0
URL:            http://jansi.fusesource.org/
Source0:        https://github.com/fusesource/jansi-native/archive/jansi-native-1.5.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-clean-plugin)
BuildRequires:  mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires:  mvn(org.fusesource.hawtjni:hawtjni-runtime) >= 1.9-2
BuildRequires:  mvn(org.fusesource.hawtjni:maven-hawtjni-plugin) >= 1.9-2

%description
Jansi is a small java library that allows you to use ANSI escape sequences
in your Java console applications. It implements ANSI support on platforms
which don't support it like Windows and provides graceful degradation for
when output is being sent to output devices which cannot support ANSI sequences. 

%package javadoc
Summary:          Javadocs for %{name}
BuildArch:        noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jansi-native-jansi-native-%{version}
%mvn_package :::linux%{bits}:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_jnidir}/%{name}
%doc readme.md license.txt changelog.md

%files javadoc -f .mfiles-javadoc
%doc license.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.5-11.mga6
+ Revision: 981984
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.5-10.mga6
+ Revision: 976541
- First rebuild of the java stack
- sync package jansi-native with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 1.5-5.mga5
+ Revision: 810249
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.5-4.mga5
+ Revision: 748945
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Tue Feb 19 2013 dmorgan <dmorgan> 1.4-1.mga3
+ Revision: 399415
- New version
- Clean spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - update to 1.2
    - imported package jansi-native


* Tue May 31 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Updated summary
- Removed debuginfo package
- Added license to javadoc package
- Fixed dependency on maven-hawtjni-plugin

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging


